package org.drools.mongodb.persistence;

import java.util.List;



public interface StateOps {
	
	void persist(String correlatorId, byte[] bytes);
	
	void update(String correlatorId, byte[] bytes);
	
	byte[] load(String correlatorId);
	
	boolean isStateSaved(String correlatorId);
	
	void clearState(String correlatorId);
	
	List<String> listSavedStates();
	
}
