package org.drools.mongodb.persistence;

import org.drools.KnowledgeBase;
import org.drools.runtime.KnowledgeSessionConfiguration;
import org.drools.runtime.StatefulKnowledgeSession;

import org.drools.mongodb.persistence.CorrelatorService;
import org.drools.mongodb.persistence.AbstractStateMarshaller;
import org.drools.mongodb.persistence.DroolsMarshallingUtils;
import org.drools.mongodb.persistence.StateInputMarshaller;


public class StateInputMarshallerImpl extends AbstractStateMarshaller implements StateInputMarshaller {

	public StateInputMarshallerImpl(Integer sessionId,
									KnowledgeBase kbase, 
									KnowledgeSessionConfiguration conf) {
		super(sessionId, kbase, conf);
	}

	@Override
	public StatefulKnowledgeSession unmarshall(String sessionId) {
		StatefulKnowledgeSession ksession = DroolsMarshallingUtils.unmarshall(stateOps.load(sessionId), marshaller, kconf);
		return ksession;
	}

}
